### Method

# GimpUi StringComboBox set_sensitivity

unstable since: 3.0

#### Declaration [src]

    void
    gimp_string_combo_box_set_sensitivity (
      GimpStringComboBox* combo_box,
      GimpStringSensitivityFunc func,
      gpointer data,
      GDestroyNotify destroy
    )

#### Description [src]

Sets a function that is used to decide about the sensitivity of rows in the `combo_box`. Use this if you want to set certain rows insensitive.

Calling `gtk_widget_queue_draw()` on the `combo_box` will cause the sensitivity to be updated.

Available since: 3.0

#### Parameters

`func`

  Type: `GimpStringSensitivityFunc`

  A function that returns a boolean value, or `NULL` to unset.

`data`

  Type: `gpointer`

  Data to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy`

  Type: `GDestroyNotify`

  Destroy notification for `data`.